<!DOCTYPE html>
<html lang="de">
 <head>
  <meta charset="UTF-8">
  <title></title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <style>
  body {
   font-family: Verdana, Sans-Serif;
   font-size: 1rem;
  }

  span.pflichtfeld {
   font-size: 0.90rem;
   color: Red;
  }
  </style>

 </head>
<body>

<?php
/*
   Aktion: Formulardaten in einer HTML-Datei speichern.
   Formular - PHP 5.4+, Zeichenkodierung: UTF-8
   Siehe: https://werner-zenk.de/tipps/schriftzeichen_richtig_darstellen.php

   Erstellt mit dem Formular Generator (12.06.2021) - 
   https://werner-zenk.de/tools/formulargenerator.php

   Bitte testen Sie das Formular ausführlich und
   beachten Sie die Hinweise im Quelltext!
*/

// PHP Fehlermeldungen (1 um das Formular zu testen) anzeigen.
error_reporting(E_ALL | E_STRICT); // (0/1)

// Weiterleitung - Nach dem absenden des Formulars,
// gelangt der Benutzer über einen Link auf folgende Seite:
$Weiterleitung = "index.php"; // Relativer Pfad, ausgehend vom Formular.

$name = isset($_POST["name"]) ? trim($_POST["name"]) : ""; // Name
$email = isset($_POST["email"]) ? trim($_POST["email"]) : ""; // E-Mail
$betreff = isset($_POST["betreff"]) ? trim($_POST["betreff"]) : ""; // Betreff
$nachricht = isset($_POST["nachricht"]) ? trim($_POST["nachricht"]) : ""; // Nachricht
$anzahl_personen = isset($_POST["anzahl_personen"]) ? trim($_POST["anzahl_personen"]) : ""; // Anzahl Personen

// Benutzereingaben überprüfen
// Die Meldungen müssen hier eventuell angepasst werden.
$Fehler = ["name"=>"", "email"=>"", "betreff"=>"", "anzahl_personen"=>"", ];
if (isset($_POST["submit"])) {
 $Fehler["name"] = strlen($_POST["name"]) < 1 ? " Bitte füllen Sie dieses Feld aus!" : "";
 $Fehler["email"] = strlen($_POST["email"]) < 1 ? " Bitte füllen Sie dieses Feld aus!" : "";
 $Fehler["betreff"] = strlen($_POST["betreff"]) < 1 ? " Bitte füllen Sie dieses Feld aus!" : "";
 $Fehler["anzahl_personen"] = strlen($_POST["anzahl_personen"]) < 1 ? " Bitte füllen Sie dieses Feld aus!" : "";
}

// Formular erstellen
$Formular = "
<form action='" . $_SERVER["SCRIPT_NAME"] . "' method='post'>

<p>
 <label> Name:
<span class='pflichtfeld'>&#10034; " . $Fehler["name"] . "</span><br>
  <input type='text' name='name' value='" . $name . "' size='35' tabindex='1'>
 </label>
</p>

<p>
 <label> E-Mail:
<span class='pflichtfeld'>&#10034; " . $Fehler["email"] . "</span><br>
  <input type='text' name='email' value='" . $email . "' size='35' tabindex='2'>
 </label>
</p>

<p>
 <label> Betreff:
<span class='pflichtfeld'>&#10034; " . $Fehler["betreff"] . "</span><br>
  <input type='text' name='betreff' value='" . $betreff . "' size='35' tabindex='3'>
 </label>
</p>

<p>
 <label> Nachricht:<br>
 <textarea name='nachricht' cols='40' rows='8' tabindex='4'>" . $nachricht . "</textarea>
 </label>
</p>

<p>
 <label> Anzahl der Personen:
<span class='pflichtfeld'>&#10034; " . $Fehler["anzahl_personen"] . "</span><br>
  <input type='number' name='anzahl_personen' value='" . $anzahl_personen . "' size='35' tabindex='5'>
 </label>
</p>

<p>
 <br>
 <input type='submit' name='submit' value='Formular absenden' tabindex='6'>
</p>

<p>
 <small>Bitte alle mit <span class='pflichtfeld'>&#10034;</span>
 markierten Felder ausfüllen.</small>
</p>

</form>
";

// Formular abgesendet
if (isset($_POST["submit"])) {

 // Sind keine Benutzer-Eingabefehler vorhanden
 if (implode("", $Fehler) == "") {

  // Daten in einer HTML-Datei speichern (Vorschlag) - Bitte anpassen!

  // Dateiname - Die Datei benötigt Schreibrechte.
  $Datei = "datei.htm";

  // Daten
  $Text = "  <p>
  Name: $name<br>
  E-Mail: $email<br>
  Betreff: $betreff<br>
  Nachricht: $nachricht<br>
  Anzahl Personen: $anzahl_personen<br>
  </p>\n";

  // Daten speichern
  $inhalt = file_get_contents($Datei);
  $inhalt = str_replace('</div>', "", $inhalt);
  if (file_put_contents($Datei, $inhalt . $Text . '</div>')) {
   echo "<p>Die Daten wurden eingetragen.</p>";
  }
  else {
   echo "<p>Fehler beim eintragen der Daten!</p>";
  }

  // Weiterleitung
  echo "<p><a href='" . $Weiterleitung . "'>Weiter</a></p>";
 }
 else {

  // Formular und Benutzer-Eingabefehler ausgeben
  echo $Formular;
 }
}
else {

 // Formular ausgeben
 echo $Formular;
}
?>

</body>
</html>